# Query account statement items

Retrieve statement entries for an account number using the filter criteria.

Endpoint: GET /accounts/statements
Version: 1
Security: basicAuth

## Query parameters:

  - `accountNumber` (string, required)
    The account number.
    Example: "0005553123712133"

  - `startDate` (string, required)
    An ISO 8601 date-time string. From date and time. Timespan between 'startDate' and 'endDate' shouldn't exceed 31 days. This should not be a date in the future.
    Example: "2022-05-01T15:16:30Z"

  - `endDate` (string, required)
    An ISO 8601 date-time string. To date and time. Timespan between 'startDate' and 'endDate' shouldn't exceed 31 days. This should not be a date in the future.
    Example: "2022-05-05T15:16:30Z"

  - `pageNumber` (integer)
    The page number of the results. Default is 1 if no value is provided. This value specifies the exact page of each list of statements that you want to retrieve.

  - `pageSize` (integer)
    Exact number of records per page to be shown. Max 500 items/rows. Value must be between 1-500. Default is 1 if no value is provided.

  - `fundingType` (string)
    Credit or debit operation. Value can be credit or debit. If no value is passed, the statement includes both credits and debits.
    Enum: "credit", "debit"

  - `transferType` (string)
    Type of the transaction used to filter out statement entries. Alphanumeric only. Special characters are restricted.

  - `countryCode` (string)
    ISO country code of the transaction.

  - `amount` (number)
    The transaction amount.

  - `transactionReference` (string)
    Your unique reference for the payment request. This can be a "like" search (exact or partial match). Special characters are allowed. For the list, please see our formatting guide

## Header parameters:

  - `Accept` (string, required)
    Example: "application/vnd.worldpay.accounts.statements-v1+json"

  - `WP-CorrelationId` (string)
    Optional ID to trace requests, if not provided, it is generated.
    Example: "15cd16b2-7b82-41cb-9b11-21be9dacad88"

## Response 200 fields (application/vnd.worldpay.accounts.statements-v1+json):

  - `accountNumber` (string,null)
    The account number.

  - `currency` (string,null)
    The currency, determined by the first item in the list. The currency is the same for all items.

  - `accountStatementItems` (array,null)
    A collection of account statement items.

  - `accountStatementItems.transactionReference` (string,null)
    Your unique reference for the transaction.

  - `accountStatementItems.transferType` (string,null)
    The transfer type.

  - `accountStatementItems.amount` (number)
    The amount.

  - `accountStatementItems.timestamp` (string)
    The posting date of the specific statement item.

  - `accountStatementItems.fundingType` (string,null)
    A credit or debit operation. Value can be credit or debit.

  - `accountStatementItems.rate` (number,null)
    The rate applied for FX conversion.

  - `accountStatementItems.cleared` (string,null)
    Cleared balance or uncleared balance. Value can be yes or no.

  - `accountStatementItems.description` (string,null)
    The description of this statement item.

  - `accountStatementItems.statementItemId` (string)
    The statement identifier.

  - `accountStatementItems.balance` (number)
    The balance that resulted from this statement item's transaction.

  - `accountStatementItems.statementNumber` (integer)
    The statement number.

  - `accountStatementItems.narrative` (string,null)
    The reference to the specific transaction.

  - `accountStatementItems.countryCode` (string,null)
    The country code.

  - `accountStatementItems.originalCurrency` (string,null)
    For statement items (debits/credits) with no FX conversion involved, originalCurrency value will be null.

In case an FX conversion is involved, then:
  - For debit items, originalCurrency shows the target currency.
  - For credit items, originalCurrency shows the source currency.

  - `accountStatementItems.originalAmount` (number,null)
    For statement items (debits/credits) with no FX conversion involved, originalAmount value will be null.

In case an FX conversion is involved, then:
  - For debit items, originalAmount shows the target amount.
  - For credit items, originalAmount shows the source amount.

  - `pageNumber` (integer)
    The page number. Default is 1 if no value is provided. This value specifies the exact page of each list of statements that you want to retrieve.

  - `pageSize` (integer)
    The exact number of records per page to be shown. Max 500 items/rows. Value must be between 1-500. Default is 1 if no value is provided.

  - `pageCount` (integer)
    The total number of pages.

  - `totalNumberOfRecords` (integer)
    The total number of records.

## Response 400 fields (application/vnd.worldpay.accounts.statements-v1+json):

  - `httpStatusCode` (integer)

  - `customCode` (string,null)

  - `message` (string,null)

  - `errors` (object,null)

## Response 401 fields (application/json):

  - `httpStatusCode` (integer)

  - `customCode` (string,null)

  - `message` (string,null)

  - `errors` (object,null)

  - `errorName` (string,null)

## Response 403 fields (application/json):

  - `httpStatusCode` (integer)

  - `customCode` (string,null)

  - `message` (string,null)

  - `errors` (object,null)

## Response 404 fields (application/vnd.worldpay.accounts.statements-v1+json):

  - `httpStatusCode` (integer)

  - `customCode` (string,null)

  - `message` (string,null)

  - `errors` (object,null)

## Response 500 fields (application/vnd.worldpay.accounts.statements-v1+json):

  - `httpStatusCode` (integer)

  - `customCode` (string,null)

  - `message` (string,null)

  - `errors` (object,null)


